import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Container;
import java.awt.Event;
import java.awt.List;
import java.awt.Panel;
import java.util.StringTokenizer;
import java.util.Vector;

public class ProbTypeMaint extends JDPClassLayout {
   JDPUser user;
   JDPJagg jaggSQL;
   JDPPopupMessage popuppanel;
   JDPMaskEdit JDPMaskEditMain;
   String moduleParameter;
   Panel Main;
   JDPChiselFramePanel ChiselPanel1;
   Panel Grid1;
   JDPTextGrid Grid1GL1;
   JDPButtons JDPButtons1;

   public void InitClass(JDPUser var1, Panel var2, String var3) {
      this.user = var1;
      this.moduleParameter = var3;
      this.jaggSQL = new JDPJagg(var1.jaggPath);
      ((Container)this).setLayout(new BorderLayout());
      this.popuppanel = new JDPPopupMessage(var1, this);
      ((Container)this).add(this.popuppanel);
      this.JDPMaskEditMain = new JDPMaskEdit();
      this.Main = new Panel();
      this.ChiselPanel1 = new JDPChiselFramePanel(var1, "Problem Type Maintenance");
      this.Grid1 = new Panel();
      this.Grid1GL1 = new JDPTextGrid(var1);
      String[] var4 = new String[]{"Apply", "Refresh", "Remove"};
      int[] var5 = new int[]{JDPButton.getIconValue("Save"), JDPButton.getIconValue("Undo"), JDPButton.getIconValue("Delete")};
      this.JDPButtons1 = new JDPButtons(var1, var4, var5, JDPButtons.getAlignmentValue("Horizontal"));
      this.Main.setLayout(new BorderLayout());
      ((Container)this).add("Center", this.Main);
      this.Main.add("Center", this.ChiselPanel1);
      this.ChiselPanel1.add("Center", this.Grid1);
      this.Grid1.setLayout(new BorderLayout());
      this.Grid1Main();
      this.Grid1.add("Center", this.Grid1GL1);
      this.Grid1.add("South", this.JDPButtons1);
      this.InitComponents();
      var1.gParm.addElement(this);
   }

   public boolean handleEvent(Event var1) {
      switch (var1.id) {
         case 503:
         case 504:
         case 505:
            this.popuppanel.postEvent(var1);
            return false;
         case 1001:
            if (var1.target.equals(this.JDPButtons1.button[0])) {
               this.Grid1UpdateRows(new String[0]);
               return true;
            } else if (var1.target.equals(this.JDPButtons1.button[1])) {
               this.Grid1LoadGrid(new String[0]);
               return true;
            } else {
               if (var1.target.equals(this.JDPButtons1.button[2])) {
                  this.Grid1DeleteRows(new String[0]);
                  return true;
               }

               return false;
            }
         default:
            return false;
      }
   }

   public void InitComponents() {
      this.jaggSQL.setKeepConnectionOpen(false);
   }

   public void Grid1Main() {
      this.Grid1SetGridSettings();
      this.Grid1WhereClauseMain();
      this.Grid1SearchResultsMain();
      this.Grid1LoadGrid(new String[0]);
   }

   public void Grid1LoadGridFromWhereClause(String var1) {
      int var2 = var1.indexOf("WHERE ");
      var1 = " AND" + var1.substring(var2 + 5);
      String[] var3 = new String[0];
      this.Grid1LoadGridMain(var3, var1);
   }

   public void Grid1LoadGrid(String[] var1) {
      this.Grid1LoadGridMain(var1, (String)null);
   }

   void Grid1LoadGridMain(String[] var1, String var2) {
      JDPTextGrid var3 = this.Grid1GL1;
      int var5 = 0;
      Vector var6 = new Vector();
      String var7 = this.jaggSQL.getSEP();
      int var8 = 0;
      byte var10 = 1;
      new Vector();
      new Vector();
      String var11 = "SELECT PROBTYPE, PROBTYPE FROM JDPProbType WHERE (1=1)  ";
      if (var1.length > 0 && var1[0] != null) {
         var11 = var11 + " AND PROBTYPE='" + var1[0] + "'";
      }

      if (var2 != null) {
         var11 = var11 + var2;
      }

      this.user.mainmsg.setStatusMsg(JDPLang.get("Message0"), 0);
      this.jaggSQL.setDSN("JDPHelpDesk");
      this.jaggSQL.setUID("");
      this.jaggSQL.setPWD("");
      this.jaggSQL.setMRW("1000");
      this.jaggSQL.setTOUT("60");
      var5 = this.jaggSQL.execSQL(var11, var6);
      if (var5 == -1) {
         this.user.u.setSqlMessage(this.jaggSQL, var11);
      } else {
         var3.totalDataRows = this.jaggSQL.getRowCount();
         var8 = this.jaggSQL.getRowCount() + 20;
         var3.currentText = new String[var10][var8];
         var3.cellChanged = null;
         var3.rowChanged = null;
         var3.columnSelected = null;
         byte var12 = 1;
         var3.rowKey = new String[var8][var12];
         var3.recordLockValue = new String[var8];

         for(int var14 = 0; var14 < var8 - 20; ++var14) {
            String var9 = (String)var6.elementAt(var14);
            if (var9 != null && var9.trim().compareTo("") != 0) {
               StringTokenizer var4 = new StringTokenizer(var9, var7);

               for(int var15 = 0; var15 < var12; ++var15) {
                  var3.rowKey[var14][var15] = var4.nextToken().trim();
               }

               for(int var16 = 0; var16 < var10; ++var16) {
                  String var13 = var4.nextToken().trim();
                  var3.currentText[var16][var14] = var13;
               }
            }
         }

         for(int var19 = var8 - 20; var19 < var8; ++var19) {
            for(int var20 = 0; var20 < var1.length; ++var20) {
               var3.rowKey[var19][var20] = var1[var20];
            }
         }

         var3.newTable();
         this.user.mainmsg.clearStatusMsg();
      }
   }

   public void Grid1UpdateRowsFromWhereClause(String var1) {
      int var2 = var1.indexOf("WHERE ");
      var1 = " AND" + var1.substring(var2 + 5);
      String[] var3 = new String[0];
      this.Grid1UpdateRowsMain(var3, var1);
   }

   public void Grid1UpdateRows(String[] var1) {
      this.Grid1UpdateRowsMain(var1, (String)null);
   }

   void Grid1UpdateRowsMain(String[] var1, String var2) {
      JDPTextGrid var3 = this.Grid1GL1;
      int var4 = 0;
      int var5 = 0;
      int var6 = 1;
      int var7 = 1;
      boolean var8 = false;

      for(int var9 = 0; var9 < var3.rowChanged.length; ++var9) {
         if (var3.rowChanged[var9]) {
            if (var9 >= var3.totalDataRows) {
               ++var5;
            } else {
               ++var4;
            }
         }
      }

      for(int var10 = 0; var10 < var3.rowChanged.length; ++var10) {
         if (var3.rowChanged[var10]) {
            if (var10 >= var3.totalDataRows) {
               this.user.mainmsg.setStatusMsg(JDPLang.get("Message7", var7++, var5), 0);
               this.Grid1SaveData(var10, "I");
            } else {
               this.user.mainmsg.setStatusMsg(JDPLang.get("Message8", var6++, var4), 0);
               var8 = true;
            }

            var3.rowChanged[var10] = false;
         }
      }

      if (var5 > 0 || var8) {
         this.Grid1LoadGridMain(var1, var2);
      }

   }

   public void Grid1DeleteRowsFromWhereClause(String var1) {
      int var2 = var1.indexOf("WHERE ");
      var1 = " AND" + var1.substring(var2 + 5);
      String[] var3 = new String[0];
      this.Grid1DeleteRowsMain(var3, var1);
   }

   public void Grid1DeleteRows(String[] var1) {
      this.Grid1DeleteRowsMain(var1, (String)null);
   }

   void Grid1DeleteRowsMain(String[] var1, String var2) {
      JDPTextGrid var3 = this.Grid1GL1;
      int var4 = 0;
      int var5 = 1;

      for(int var6 = 0; var6 < var3.rowChanged.length; ++var6) {
         if (var3.rowSelected[var6]) {
            ++var4;
         }
      }

      for(int var7 = 0; var7 < var3.rowChanged.length; ++var7) {
         if (var3.rowSelected[var7]) {
            this.user.mainmsg.setStatusMsg(JDPLang.get("Message9", var5++, var4), 0);
            this.Grid1SaveData(var7, "D");
         }
      }

      if (var4 > 0) {
         this.Grid1LoadGridMain(var1, var2);
      }

   }

   boolean Grid1SaveData(int var1, String var2) {
      JDPTextGrid var3 = this.Grid1GL1;
      int var4 = 0;
      Vector var5 = new Vector();
      this.jaggSQL.getSEP();
      String var6 = "";
      String var7 = null;
      this.jaggSQL.setDSN("JDPHelpDesk");
      this.jaggSQL.setUID("");
      this.jaggSQL.setPWD("");
      this.jaggSQL.setMRW("1000");
      this.jaggSQL.setTOUT("60");
      if (var2.equals("I")) {
         var6 = "INSERT INTO JDPProbType (PROBTYPE) VALUES('" + this.user.u.replace(var3.currentText[0][var1], "'", "''") + "')";
      } else if (var2.equals("D")) {
         var6 = "DELETE FROM JDPProbType WHERE PROBTYPE='" + var3.rowKey[var1][0] + "'";
         if (var3.recordLockValue[var1] != null) {
            var7 = var6;
         }
      } else {
         var6 = "UPDATE JDPProbType SET  WHERE PROBTYPE='" + var3.rowKey[var1][0] + "'";
         if (var3.recordLockValue[var1] != null) {
            var7 = var6;
         }
      }

      var4 = this.jaggSQL.execSQL(var6, var5);
      if (this.user.DEBUG) {
         System.out.println("saveData CNT: " + Integer.toString(var4));
      }

      if (var4 == 0 && var7 != null) {
         String[] var8 = new String[]{JDPLang.get("Reload"), JDPLang.get("Update")};
         int[] var9 = new int[]{6, 0};
         JDPMessageDialog var10 = new JDPMessageDialog(this.user, this.user.jdpMainWindow, JDPLang.get("Dialog0"), JDPLang.get("Dialog1"), var8, var9);
         ((JDPDialog)var10).display();
         if (var10.getPressedButton() != 1) {
            return true;
         }

         var5 = new Vector();
         var4 = this.jaggSQL.execSQL(var7, var5);
      }

      if (var4 == -1) {
         this.user.u.setSqlMessage(this.jaggSQL, var6);
         return false;
      } else {
         if (var4 == 1) {
            if (var2.equals("I")) {
               this.user.mainmsg.setStatusMsg(JDPLang.get("Message4"), 3);
            } else if (var2.equals("D")) {
               this.user.mainmsg.setStatusMsg(JDPLang.get("Message5"), 3);
            } else {
               this.user.mainmsg.setStatusMsg(JDPLang.get("Message6"), 3);
            }
         } else {
            this.user.u.setSqlMessage(this.jaggSQL, var6);
         }

         return var7 != null;
      }
   }

   public void Grid1LoadEmptyGrid() {
      JDPTextGrid var1 = this.Grid1GL1;
      byte var2 = 1;
      var1.currentText = new String[var2][50];
      var1.cellChanged = null;
      var1.rowChanged = null;
      var1.columnSelected = null;
      var1.rowKey = new String[50][1];
      var1.newTable();
      var1.totalDataRows = 0;
   }

   void Grid1SetGridSettings() {
      if (this.Grid1 == null) {
         this.Grid1 = new JDPTextGrid(this.user);
      }

      JDPTextGrid var1 = this.Grid1GL1;
      byte var2 = 1;
      var1.columnHeader = new String[var2];
      var1.columnHeaderStyle = new int[var2];
      var1.columnStyle = new int[var2];
      var1.columnHeaderColor = new Color[var2];
      var1.columnColor = new Color[var2];
      var1.columnBGColor = new Color[var2];
      var1.columnProtected = new boolean[var2];
      var1.columnWidth = new int[var2];
      var1.rightJustify = new boolean[var2];
      var1.rowHeader = null;
      var1.columnHeight = null;

      for(int var3 = 0; var3 < var2; ++var3) {
         var1.columnHeaderStyle[var3] = 1;
         var1.columnStyle[var3] = 0;
         var1.columnHeaderColor[var3] = Color.black;
         var1.columnColor[var3] = Color.black;
         var1.columnBGColor[var3] = Color.white;
         var1.columnStyle[var3] = 0;
      }

      var1.columnWidth[0] = 91;
      var1.columnHeader[0] = "Problem Types";
      this.Grid1LoadEmptyGrid();
      this.Grid1LoadChoices();
   }

   void Grid1LoadChoices() {
      JDPTextGrid var1 = this.Grid1GL1;
      byte var2 = 1;
      this.jaggSQL.setDSN("JDPHelpDesk");
      this.jaggSQL.setUID("");
      this.jaggSQL.setPWD("");
      this.jaggSQL.setMRW("1000");
      this.jaggSQL.setTOUT("60");
      var1.isPullDownCol = new boolean[var2];
      var1.pullDownColType = new int[var2];
      var1.pullDownList = new List[var2][1];
   }

   public void Grid1WhereClauseMain() {
   }

   public void Grid1SearchResultsMain() {
   }
}
